#!/bin/bash

total=$(sqlite3 articles.db "SELECT url FROM articles" | wc -l)
left=$(sqlite3 articles.db "SELECT url FROM articles WHERE category = 'left'" | wc -l)
right=$(sqlite3 articles.db "SELECT url FROM articles WHERE category = 'right'" | wc -l)

left_sources=$(sqlite3 articles.db "SELECT source FROM articles WHERE category = 'left'" | sort | uniq)
right_sources=$(sqlite3 articles.db "SELECT source FROM articles WHERE category = 'right'" | sort | uniq)

echo "This model contains a total of $total articles ($left left, $right right)."
echo ""
echo "## Left"
echo ""
for i in $left_sources; do
    echo "* $i: $(sqlite3 articles.db "SELECT url FROM articles WHERE source = '$i'" | wc -l)"
done
echo ""
echo "## Right"
echo ""
for i in $right_sources; do
    echo "* $i: $(sqlite3 articles.db "SELECT url FROM articles WHERE source = '$i'" | wc -l)"
done
